Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# OsclProcStatus Class Reference

`#include <oscl_procstatus.h>`

## Public Types
enum | eOsclProcError { SUCCESS_ERROR = 0, OTHER_ERROR, TOO_MANY_THREADS_ERROR, BAD_THREADID_ADDR_ERROR, MAX_THRDS_REACHED_ERROR, INVALID_THREAD_ID_ERROR, NOT_ENOUGH_MEMORY_ERROR, OUTOFMEMORY_ERROR, NOT_ENOUGH_RESOURCES_ERROR, THREAD_1_INACTIVE_ERROR, ALREADY_SUSPENDED_ERROR, NOT_SUSPENDED_ERROR, INVALID_THREAD_ERROR, INVALID_PARAM_ERROR, NO_PERMISSION_ERROR, INVALID_PRIORITY_ERROR, PSHARED_NOT_ZERO_ERROR, EXCEED_MAX_COUNT_VARIABLE_ERROR, THREAD_BLOCK_ERROR, EXCEED_MAX_SEM_COUNT_ERROR, INVALID_HANDLE_ERROR, INVALID_OPERATION_ERROR, INVALID_FUNCTION_ERROR, INVALID_ACCESS_ERROR, INVALID_ARGUMENT_ERROR, SYSTEM_RESOURCES_UNAVAILABLE_ERROR, INVALID_POINTER_ERROR, RELOCK_MUTEX_ERROR, THREAD_NOT_OWN_MUTEX_ERROR, MUTEX_LOCKED_ERROR, WAIT_ABANDONED_ERROR, WAIT_TIMEOUT_ERROR, SEM_NOT_SIGNALED_ERROR, PSHARED_ATTRIBUTE_SETTING_ERROR, NOT_IMPLEMENTED }

## Detailed Description

Class OsclProcStatus

## Member Enumeration Documentation

enum OsclProcStatus::eOsclProcError

  | List of enums which contain error codes Enumeration values:
  SUCCESS_ERROR |
  OTHER_ERROR |
  TOO_MANY_THREADS_ERROR |
  BAD_THREADID_ADDR_ERROR |
  MAX_THRDS_REACHED_ERROR |
  INVALID_THREAD_ID_ERROR |
  NOT_ENOUGH_MEMORY_ERROR |
  OUTOFMEMORY_ERROR |
  NOT_ENOUGH_RESOURCES_ERROR |
  THREAD_1_INACTIVE_ERROR |
  ALREADY_SUSPENDED_ERROR |
  NOT_SUSPENDED_ERROR |
  INVALID_THREAD_ERROR |
  INVALID_PARAM_ERROR |
  NO_PERMISSION_ERROR |
  INVALID_PRIORITY_ERROR |
  PSHARED_NOT_ZERO_ERROR |
  EXCEED_MAX_COUNT_VARIABLE_ERROR |
  THREAD_BLOCK_ERROR |
  EXCEED_MAX_SEM_COUNT_ERROR |
  INVALID_HANDLE_ERROR |
  INVALID_OPERATION_ERROR |
  INVALID_FUNCTION_ERROR |
  INVALID_ACCESS_ERROR |
  INVALID_ARGUMENT_ERROR |
  SYSTEM_RESOURCES_UNAVAILABLE_ERROR |
  INVALID_POINTER_ERROR |
  RELOCK_MUTEX_ERROR |
  THREAD_NOT_OWN_MUTEX_ERROR |
  MUTEX_LOCKED_ERROR |
  WAIT_ABANDONED_ERROR |
  WAIT_TIMEOUT_ERROR |
  SEM_NOT_SIGNALED_ERROR |
  PSHARED_ATTRIBUTE_SETTING_ERROR |
  NOT_IMPLEMENTED |

The documentation for this class was generated from the following file:

- oscl_procstatus.h